Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1410111 - [abrt] gnome-software: gdk_pixbuf_finalize(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: gdk_pixbuf_finalize(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d0c1e7966901bd68b03c2a3d926...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 13:40 UTC by Marcel Hetzendorfer
Modified: 2017-12-12 10:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:16:25 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (101.50 KB, text/plain)
2017-01-04 13:40 UTC, Marcel Hetzendorfer
no flags Details
File: cgroup (272 bytes, text/plain)
2017-01-04 13:40 UTC, Marcel Hetzendorfer
no flags Details
File: core_backtrace (9.29 KB, text/plain)
2017-01-04 13:40 UTC, Marcel Hetzendorfer
no flags Details
File: dso_list (19.53 KB, text/plain)
2017-01-04 13:40 UTC, Marcel Hetzendorfer
no flags Details
File: environ (1.04 KB, text/plain)
2017-01-04 13:40 UTC, Marcel Hetzendorfer
no flags Details
File: exploitable (100 bytes, text/plain)
2017-01-04 13:40 UTC, Marcel Hetzendorfer
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-04 13:40 UTC, Marcel Hetzendorfer
no flags Details
File: maps (94.58 KB, text/plain)
2017-01-04 13:41 UTC, Marcel Hetzendorfer
no flags Details
File: mountinfo (5.12 KB, text/plain)
2017-01-04 13:41 UTC, Marcel Hetzendorfer
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-04 13:41 UTC, Marcel Hetzendorfer
no flags Details
File: open_fds (13.89 KB, text/plain)
2017-01-04 13:41 UTC, Marcel Hetzendorfer
no flags Details
File: proc_pid_status (1.14 KB, text/plain)
2017-01-04 13:41 UTC, Marcel Hetzendorfer
no flags Details
File: var_log_messages (2.24 KB, text/plain)
2017-01-04 13:41 UTC, Marcel Hetzendorfer
no flags Details

Description Marcel Hetzendorfer 2017-01-04 13:40:41 UTC
Description of problem:
The only thing i did was installing updates via dnf and listening music

Version-Release number of selected component:
gnome-software-3.22.4-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gdk_pixbuf_finalize
executable:     /usr/bin/gnome-software
global_pid:     10614
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 gdk_pixbuf_finalize at gdk-pixbuf.c:273
 #6 gs_app_finalize at gs-app.c:3471
 #8 gs_app_row_destroy at gs-app-row.c:573
 #13 gtk_widget_dispose at gtkwidget.c:12063
 #15 gtk_container_remove at gtkcontainer.c:1909
 #16 gtk_list_box_forall at gtklistbox.c:2545
 #17 gs_shell_installed_load at gs-shell-installed.c:234
 #18 gs_shell_reload_cb at gs-shell.c:639
 #23 gs_plugin_loader_reload_delay_cb at gs-plugin-loader.c:3540
 #28 g_main_context_iteration at gmain.c:3990

Comment 1 Marcel Hetzendorfer 2017-01-04 13:40:48 UTC
Created attachment 1237173 [details]
File: backtrace

Comment 2 Marcel Hetzendorfer 2017-01-04 13:40:50 UTC
Created attachment 1237174 [details]
File: cgroup

Comment 3 Marcel Hetzendorfer 2017-01-04 13:40:52 UTC
Created attachment 1237175 [details]
File: core_backtrace

Comment 4 Marcel Hetzendorfer 2017-01-04 13:40:54 UTC
Created attachment 1237177 [details]
File: dso_list

Comment 5 Marcel Hetzendorfer 2017-01-04 13:40:55 UTC
Created attachment 1237178 [details]
File: environ

Comment 6 Marcel Hetzendorfer 2017-01-04 13:40:57 UTC
Created attachment 1237179 [details]
File: exploitable

Comment 7 Marcel Hetzendorfer 2017-01-04 13:40:58 UTC
Created attachment 1237180 [details]
File: limits

Comment 8 Marcel Hetzendorfer 2017-01-04 13:41:01 UTC
Created attachment 1237181 [details]
File: maps

Comment 9 Marcel Hetzendorfer 2017-01-04 13:41:03 UTC
Created attachment 1237182 [details]
File: mountinfo

Comment 10 Marcel Hetzendorfer 2017-01-04 13:41:05 UTC
Created attachment 1237183 [details]
File: namespaces

Comment 11 Marcel Hetzendorfer 2017-01-04 13:41:06 UTC
Created attachment 1237184 [details]
File: open_fds

Comment 12 Marcel Hetzendorfer 2017-01-04 13:41:08 UTC
Created attachment 1237185 [details]
File: proc_pid_status

Comment 13 Marcel Hetzendorfer 2017-01-04 13:41:10 UTC
Created attachment 1237186 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:40:03 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:16:25 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.